com.taosdata.jdbc.ws.entity

## Class ConnectReq

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Payload
  - - com.taosdata.jdbc.ws.entity.ConnectReq

    public class ConnectReq
    extends Payload

connection request pojo

### Constructor Summary

Constructors
Constructor and Description
`ConnectReq()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDb()`
`Integer` `getMode()`
`String` `getPassword()`
`String` `getUser()`
`void` `setDb(String db)`
`void` `setMode(Integer mode)`
`void` `setPassword(String password)`
`void` `setUser(String user)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Payload

`getReqId, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectReq

    public ConnectReq()

### Method Detail

#### getUser

    public String getUser()

#### setUser

    public void setUser(String user)

#### getPassword

    public String getPassword()

#### setPassword

    public void setPassword(String password)

#### getDb

    public String getDb()

#### setDb

    public void setDb(String db)

#### getMode

    public Integer getMode()

#### setMode

    public void setMode(Integer mode)